# - Config file for the enki package
# It defines the following variables
# enki_INCLUDE_DIR - include directories for enki
# enki_LIBRARY - core library to link against
# enki_VIEWER_LIBRARIES - viewer library to link against, if available

include(FindPackageHandleStandardArgs)

# core
find_path(enki_INCLUDE_DIR enki/PhysicalEngine.h /home/albinou/src/aseba-build-x86_64/enki CMAKE_FIND_ROOT_PATH_BOTH)
find_library(enki_LIBRARY enki /home/albinou/src/aseba-build-x86_64/enki/debian/build/enki CMAKE_FIND_ROOT_PATH_BOTH)
find_package_handle_standard_args(enki DEFAULT_MSG enki_INCLUDE_DIR enki_LIBRARY)

# viewer
set(QT_USE_QTOPENGL TRUE)
find_package(Qt4)
find_package(OpenGL)
if (QT4_FOUND AND OPENGL_FOUND)
	include(${QT_USE_FILE})
	add_definitions(${QT_DEFINITIONS})
	
	if (CMAKE_HOST_UNIX)
		add_definitions("-fPIC")
	endif (CMAKE_HOST_UNIX)
	
	find_library(enki_VIEWER_LIBRARY enkiviewer /home/albinou/src/aseba-build-x86_64/enki/debian/build/viewer CMAKE_FIND_ROOT_PATH_BOTH)
	SET(enki_VIEWER_LIBRARIES ${enki_VIEWER_LIBRARY} ${QT_LIBRARIES} CACHE STRING "All libraries necessary to link Enki viewer")
	find_package_handle_standard_args(enki_VIEWER DEFAULT_MSG enki_VIEWER_LIBRARIES)
endif (QT4_FOUND AND OPENGL_FOUND)

